OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CompositeCurveSegment Class Reference

`#include <StepGeom_CompositeCurveSegment.hxx>`

Inheritance diagram for StepGeom_CompositeCurveSegment:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_CompositeCurveSegment ()
| Returns a CompositeCurveSegment .
virtual Standard_EXPORT void | Init (const StepGeom_TransitionCode aTransition, const Standard_Boolean aSameSense, const Handle(StepGeom_Curve)&aParentCurve)
Standard_EXPORT void | SetTransition (const StepGeom_TransitionCode aTransition)
Standard_EXPORT StepGeom_TransitionCode | Transition () const
Standard_EXPORT void | SetSameSense (const Standard_Boolean aSameSense)
Standard_EXPORT Standard_Boolean | SameSense () const
Standard_EXPORT void | SetParentCurve (const Handle(StepGeom_Curve)&aParentCurve)
Standard_EXPORT Handle_StepGeom_Curve | ParentCurve () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepGeom_TransitionCode | transition
Standard_Boolean | sameSense
Handle_StepGeom_Curve | parentCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CompositeCurveSegment::StepGeom_CompositeCurveSegment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_CompositeCurveSegment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepGeom_ReparametrisedCompositeCurveSegment.

virtual Standard_EXPORT void StepGeom_CompositeCurveSegment::Init | ( | const StepGeom_TransitionCode | aTransition,
|  | const Standard_Boolean | aSameSense,
|  | const Handle(StepGeom_Curve)& | aParentCurve
| ) | `[virtual]`

| Reimplemented in StepGeom_ReparametrisedCompositeCurveSegment.

Standard_EXPORT Handle_StepGeom_Curve StepGeom_CompositeCurveSegment::ParentCurve | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_CompositeCurveSegment::SameSense | ( |  | ) | const

Standard_EXPORT void StepGeom_CompositeCurveSegment::SetParentCurve | ( | const Handle(StepGeom_Curve)& | aParentCurve | ) |

Standard_EXPORT void StepGeom_CompositeCurveSegment::SetSameSense | ( | const Standard_Boolean | aSameSense | ) |

Standard_EXPORT void StepGeom_CompositeCurveSegment::SetTransition | ( | const StepGeom_TransitionCode | aTransition | ) |

Standard_EXPORT StepGeom_TransitionCode StepGeom_CompositeCurveSegment::Transition | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Curve StepGeom_CompositeCurveSegment::parentCurve`[private]`

Standard_Boolean StepGeom_CompositeCurveSegment::sameSense`[private]`

StepGeom_TransitionCode StepGeom_CompositeCurveSegment::transition`[private]`

The documentation for this class was generated from the following file:

- StepGeom_CompositeCurveSegment.hxx